package com.ningdatech.carapi.scheduler.service;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.scheduler.entity.VehicleOnlineStatusDay;
import com.ningdatech.carapi.scheduler.entity.VehicleOnlineStatusHour;

/**
 * <p>
 * 统计车辆上线状态 按天 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-12-18
 */
public interface IVehicleOnlineStatusDayService extends IService<VehicleOnlineStatusDay> {

    VehicleOnlineStatusDay getOneByReqInMonthTable(VehicleOnlineStatusDay statusDay);

    Boolean saveByReqInMonthTable(VehicleOnlineStatusDay statusDay);

    Boolean updateByReqInMonthTable(VehicleOnlineStatusDay statusDay);

    Set<String> getOnlineCarPlatesInMonthTables();

    List<VehicleOnlineStatusDay> listByReqInMonthTable(VehicleOnlineStatusDay statusDay);

    Boolean batchSave(List<VehicleOnlineStatusDay> batchOnlineStatusDayToAdd);
}
